Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hmef
Class Attachment

    java.lang.Object
      org.apache.poi.hmef.Attachment

    public final class Attachment

extends java.lang.Object

An attachment within a `HMEFMessage`. Provides both helper methods to get at common parts and attributes of the attachment, and list methods to get all of them.

Constructor Summary
`Attachment()`

Method Summary
`TNEFAttribute` | `getAttribute(TNEFProperty id)` Return the attachment attribute with the given ID, or null if there isn't one.
`java.util.List` | `getAttributes()` Returns all HMEF/TNEF attributes of the attachment, such as filename, icon and contents
`byte[]` | `getContents()` Returns the contents of the attachment.
`java.lang.String` | `getExtension()` Returns the file extension
`java.lang.String` | `getFilename()` Returns the short filename
`java.lang.String` | `getLongFilename()` Returns the long filename
`MAPIAttribute` | `getMAPIAttribute(MAPIProperty id)` Return the attachment MAPI Attribute with the given ID, or null if there isn't one.
`java.util.List` | `getMAPIAttributes()` Returns all MAPI attributes of the attachment, such as extension, encoding, size and position
`java.util.Date` | `getModifiedDate()` Return when the file was last modified, if known.
`byte[]` | `getRenderedMetaFile()` Returns the Meta File rendered representation of the attachment, or null if not set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attachment

    public Attachment()

Method Detail

### getAttribute

    public TNEFAttribute getAttribute(TNEFProperty id)

  Return the attachment attribute with the given ID, or null if there isn't one.

### getMAPIAttribute

    public MAPIAttribute getMAPIAttribute(MAPIProperty id)

  Return the attachment MAPI Attribute with the given ID, or null if there isn't one.

### getAttributes

    public java.util.List getAttributes()

  Returns all HMEF/TNEF attributes of the attachment, such as filename, icon and contents

### getMAPIAttributes

    public java.util.List getMAPIAttributes()

  Returns all MAPI attributes of the attachment, such as extension, encoding, size and position

### getFilename

    public java.lang.String getFilename()

  Returns the short filename

### getLongFilename

    public java.lang.String getLongFilename()

  Returns the long filename

### getExtension

    public java.lang.String getExtension()

  Returns the file extension

### getModifiedDate

    public java.util.Date getModifiedDate()

  Return when the file was last modified, if known.

### getContents

    public byte[] getContents()

  Returns the contents of the attachment.

### getRenderedMetaFile

    public byte[] getRenderedMetaFile()

  Returns the Meta File rendered representation of the attachment, or null if not set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD